import React from 'react';
import { ModalProps } from 'antd';
import { SchemaSettingOptions, SchemaSettings } from '../../../application/schema-settings';
export declare function ButtonEditor(props: any): React.JSX.Element;
export declare function AssignedFieldValues(): React.JSX.Element;
export declare function RequestSettings(): React.JSX.Element;
export declare function SkipValidation(): React.JSX.Element;
export declare const findSchema: (schema: any) => any;
export declare function AfterSuccess(): React.JSX.Element;
export declare function RemoveButton(props?: {
    onConfirmOk?: ModalProps['onOk'];
}): React.JSX.Element;
export declare const WorkflowSelect: React.FunctionComponent<any>;
export declare function WorkflowConfig(): React.JSX.Element;
export declare const useSetFilterScopeVisible: () => boolean;
export declare const SetFilterScope: (props: any) => React.JSX.Element;
export declare const actionSettingsItems: SchemaSettingOptions['items'];
export declare function SecondConFirm(): React.JSX.Element;
export declare function IsDownLoad(): React.JSX.Element;
export declare function ShowData(): React.JSX.Element;
export declare function SettingDownTitle(): React.JSX.Element;
/**
 * @deprecated
 */
export declare const actionSettings: SchemaSettings<{}>;
export declare const ActionDesigner: {
    (props: any): React.JSX.Element;
    ButtonEditor: typeof ButtonEditor;
    RemoveButton: typeof RemoveButton;
};
